Bug 13729 - Give news in Opac a unique anchor
Summary: Give news in Opac a unique anchor
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 7843
  Show dependency treegraph
 
Reported: 2015-02-18 20:59 UTC by Viktor Sarge
Modified: 2015-12-03 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13729 Give news in Opac a unique anchor (1.78 KB, patch)
2015-02-18 21:11 UTC, Viktor Sarge
Details | Diff | Splinter Review
Bug 13729 - [SIGNED-OFF] Give news in Opac a unique anchor (1.87 KB, patch)
2015-02-18 21:53 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 13729 - Give news in Opac a unique anchor (1.92 KB, patch)
2015-02-19 11:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Viktor Sarge 2015-02-18 20:59:36 UTC
While coding RSS for news in Opac the need for a unique link to each item in the news became clear. A quick fix that still doesn't clash with later adding a single newsitem view is to give news in Opac a unique anchor for linking purposes.
Comment 1 Viktor Sarge 2015-02-18 21:11:05 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2015-02-18 21:53:31 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-02-19 11:55:37 UTC
Created attachment 36026 [details] [review]
Bug 13729 - Give news in Opac a unique anchor

This patch introduces the use of the idnew-value from the opac_news table as a base for a unique anchor on each newsitem in Opac.

The anchor can be used for linking to specific newsitems and also for improving bug 7843 (RSS stream for news) with a unique link to each item in the RSS stream.

Test plan:
* Make shure you have a few news in the opac. Best is if it's enough to hide a few beneath the bottom of the window.
* Install the patch.
* Verify that you can access newitems with links like mykoha/cgi-bin/koha/opac-main.pl#newsitem4
* Experiment with removing newsitems and verify that that the newsitem-id stay unique to each newsitem.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Works as advertised. Nice enhancement!

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Tomás Cohen Arazi 2015-02-24 18:14:24 UTC
Patch pushed to master.

Thanks Viktor!
Comment 5 Viktor Sarge 2015-02-24 20:44:12 UTC
Always fun to get something pushed. Thanks :)
Comment 6 Chris Cormack 2015-03-10 19:07:48 UTC
Pushed to 3.18.x will be in 3.18.5
Comment 7 Mason James 2015-03-26 01:03:44 UTC
Pushed to 3.16.x, will be in 3.16.8